<?php

namespace Celebs\Celeb\Providers;

use Illuminate\Contracts\Auth\Access\Gate as GateContract;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the package.
     *
     * @var array
     */
    protected $policies = [
        // Bind Celebs policy
        \Celebs\Celeb\Models\Celebs::class => \Celebs\Celeb\Policies\CelebsPolicy::class,// Bind Occupation policy
        \Celebs\Celeb\Models\Occupation::class => \Celebs\Celeb\Policies\OccupationPolicy::class,// Bind CelOcu policy
        \Celebs\Celeb\Models\CelOcu::class => \Celebs\Celeb\Policies\CelOcuPolicy::class,
    ];

    /**
     * Register any package authentication / authorization services.
     *
     * @param \Illuminate\Contracts\Auth\Access\Gate $gate
     *
     * @return void
     */
    public function boot(GateContract $gate)
    {
        parent::registerPolicies($gate);
    }
}
