<?php

namespace Celebs\Celebs\Http\Controllers;

use App\Http\Controllers\PublicController as BaseController;
use Celebs\Celebs\Interfaces\OccupationRepositoryInterface;

class OccupationPublicController extends BaseController
{
    // use OccupationWorkflow;

    /**
     * Constructor.
     *
     * @param type \Celebs\Occupation\Interfaces\OccupationRepositoryInterface $occupation
     *
     * @return type
     */
    public function __construct(OccupationRepositoryInterface $occupation)
    {
        $this->repository = $occupation;
        parent::__construct();
    }

    /**
     * Show occupation's list.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function index()
    {
        $occupations = $this->repository
        ->pushCriteria(app('Litepie\Repository\Criteria\RequestCriteria'))
        ->scopeQuery(function($query){
            return $query->orderBy('id','DESC');
        })->paginate();

        return $this->theme->of('celebs::public.occupation.index', compact('occupations'))->render();
    }

    /**
     * Show occupation.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function show($slug)
    {
        $occupation = $this->repository->scopeQuery(function($query) use ($slug) {
            return $query->orderBy('id','DESC')
                         ->where('slug', $slug);
        })->first(['*']);

        return $this->theme->of('celebs::public.occupation.show', compact('occupation'))->render();
    }

}
