<?php

namespace Celebs\Celebs\Providers;

use Litepie\Contracts\Workflow\Workflow as WorkflowContract;
use Litepie\Foundation\Support\Providers\WorkflowServiceProvider as ServiceProvider;

class WorkflowServiceProvider extends ServiceProvider
{
    /**
     * The validators mappings for the package.
     *
     * @var array
     */
    protected $validators = [
        // Bind Celebs validator
        \Celebs\Celebs\Models\Celebs::class => \Celebs\Celebs\Workflow\CelebsValidator::class,

        // Bind Occupation validator
        \Celebs\Celebs\Models\Occupation::class => \Celebs\Celebs\Workflow\OccupationValidator::class,

        // Bind CelOcu validator
        \Celebs\Celebs\Models\CelOcu::class => \Celebs\Celebs\Workflow\CelOcuValidator::class,
    ];

    /**
     * The actions mappings for the package.
     *
     * @var array
     */
    protected $actions = [
        // Bind Celebs actions
        \Celebs\Celebs\Models\Celebs::class => \Celebs\Celebs\Workflow\CelebsAction::class,

        // Bind Occupation actions
        \Celebs\Celebs\Models\Occupation::class => \Celebs\Celebs\Workflow\OccupationAction::class,

        // Bind CelOcu actions
        \Celebs\Celebs\Models\CelOcu::class => \Celebs\Celebs\Workflow\CelOcuAction::class,
    ];

    /**
     * The notifiers mappings for the package.
     *
     * @var array
     */
    protected $notifiers = [
       // Bind Celebs notifiers
        \Celebs\Celebs\Models\Celebs::class => \Celebs\Celebs\Workflow\CelebsNotifier::class,

        // Bind Occupation notifiers
        \Celebs\Celebs\Models\Occupation::class => \Celebs\Celebs\Workflow\OccupationNotifier::class,

        // Bind CelOcu notifiers
        \Celebs\Celebs\Models\CelOcu::class => \Celebs\Celebs\Workflow\CelOcuNotifier::class,
    ];

    /**
     * Register any package workflow validation services.
     *
     * @param \Litepie\Contracts\Workflow\Workflow $workflow
     *
     * @return void
     */
    public function boot(WorkflowContract $workflow)
    {
        parent::registerValidators($workflow);
        parent::registerActions($workflow);
        parent::registerNotifiers($workflow);
    }
}
