<?php

namespace Celebs\Celebs\Workflow;

use Exception;
use Litepie\Workflow\Exceptions\WorkflowActionNotPerformedException;

use Celebs\Celebs\Models\CelOcu;

class CelOcuAction
{
    /**
     * Perform the complete action.
     *
     * @param CelOcu $cel_ocu
     *
     * @return CelOcu
     */
    public function complete(CelOcu $cel_ocu)
    {
        try {
            $cel_ocu->status = 'complete';
            return $cel_ocu->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the verify action.
     *
     * @param CelOcu $cel_ocu
     *
     * @return CelOcu
     */public function verify(CelOcu $cel_ocu)
    {
        try {
            $cel_ocu->status = 'verify';
            return $cel_ocu->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the approve action.
     *
     * @param CelOcu $cel_ocu
     *
     * @return CelOcu
     */public function approve(CelOcu $cel_ocu)
    {
        try {
            $cel_ocu->status = 'approve';
            return $cel_ocu->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the publish action.
     *
     * @param CelOcu $cel_ocu
     *
     * @return CelOcu
     */public function publish(CelOcu $cel_ocu)
    {
        try {
            $cel_ocu->status = 'publish';
            return $cel_ocu->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the archive action.
     *
     * @param CelOcu $cel_ocu
     *
     * @return CelOcu
     */
    public function archive(CelOcu $cel_ocu)
    {
        try {
            $cel_ocu->status = 'archive';
            return $cel_ocu->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the unpublish action.
     *
     * @param CelOcu $cel_ocu
     *
     * @return CelOcu
     */
    public function unpublish(CelOcu $cel_ocu)
    {
        try {
            $cel_ocu->status = 'unpublish';
            return $cel_ocu->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }
}
