<?php

namespace Celebs\Celebs\Workflow;

use Celebs\Celebs\Models\CelOcu;
use Celebs\Celebs\Notifications\CelOcu as CelOcuNotifyer;
use Notification;

class CelOcuNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param CelOcu $cel_ocu
     *
     * @return void
     */
    public function complete(CelOcu $cel_ocu)
    {
        return Notification::send($cel_ocu->user, new CelOcuNotifyer($cel_ocu, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param CelOcu $cel_ocu
     *
     * @return void
     */
    public function verify(CelOcu $cel_ocu)
    {
        return Notification::send($cel_ocu->user, new CelOcuNotifyer($cel_ocu, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param CelOcu $cel_ocu
     *
     * @return void
     */
    public function approve(CelOcu $cel_ocu)
    {
        return Notification::send($cel_ocu->user, new CelOcuNotifyer($cel_ocu, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param CelOcu $cel_ocu
     *
     * @return void
     */
    public function publish(CelOcu $cel_ocu)
    {
        return Notification::send($cel_ocu->user, new CelOcuNotifyer($cel_ocu, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param CelOcu $cel_ocu
     *
     * @return void
     */
    public function archive(CelOcu $cel_ocu)
    {
        return Notification::send($cel_ocu->user, new CelOcuNotifyer($cel_ocu, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param CelOcu $cel_ocu
     *
     * @return void
     */
    public function unpublish(CelOcu $cel_ocu)
    {
        return Notification::send($cel_ocu->user, new CelOcuNotifyer($cel_ocu, 'unpublish'));;

    }
}
