<?php

namespace Celebs\Celebs\Workflow;

use Exception;
use Litepie\Workflow\Exceptions\WorkflowActionNotPerformedException;

use Celebs\Celebs\Models\Celebs;

class CelebsAction
{
    /**
     * Perform the complete action.
     *
     * @param Celebs $celebs
     *
     * @return Celebs
     */
    public function complete(Celebs $celebs)
    {
        try {
            $celebs->status = 'complete';
            return $celebs->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the verify action.
     *
     * @param Celebs $celebs
     *
     * @return Celebs
     */public function verify(Celebs $celebs)
    {
        try {
            $celebs->status = 'verify';
            return $celebs->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the approve action.
     *
     * @param Celebs $celebs
     *
     * @return Celebs
     */public function approve(Celebs $celebs)
    {
        try {
            $celebs->status = 'approve';
            return $celebs->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the publish action.
     *
     * @param Celebs $celebs
     *
     * @return Celebs
     */public function publish(Celebs $celebs)
    {
        try {
            $celebs->status = 'publish';
            return $celebs->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the archive action.
     *
     * @param Celebs $celebs
     *
     * @return Celebs
     */
    public function archive(Celebs $celebs)
    {
        try {
            $celebs->status = 'archive';
            return $celebs->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the unpublish action.
     *
     * @param Celebs $celebs
     *
     * @return Celebs
     */
    public function unpublish(Celebs $celebs)
    {
        try {
            $celebs->status = 'unpublish';
            return $celebs->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }
}
