<?php

namespace Celebs\Celebs\Workflow;

use Celebs\Celebs\Models\Celebs;
use Celebs\Celebs\Notifications\Celebs as CelebsNotifyer;
use Notification;

class CelebsNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param Celebs $celebs
     *
     * @return void
     */
    public function complete(Celebs $celebs)
    {
        return Notification::send($celebs->user, new CelebsNotifyer($celebs, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param Celebs $celebs
     *
     * @return void
     */
    public function verify(Celebs $celebs)
    {
        return Notification::send($celebs->user, new CelebsNotifyer($celebs, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param Celebs $celebs
     *
     * @return void
     */
    public function approve(Celebs $celebs)
    {
        return Notification::send($celebs->user, new CelebsNotifyer($celebs, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param Celebs $celebs
     *
     * @return void
     */
    public function publish(Celebs $celebs)
    {
        return Notification::send($celebs->user, new CelebsNotifyer($celebs, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param Celebs $celebs
     *
     * @return void
     */
    public function archive(Celebs $celebs)
    {
        return Notification::send($celebs->user, new CelebsNotifyer($celebs, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param Celebs $celebs
     *
     * @return void
     */
    public function unpublish(Celebs $celebs)
    {
        return Notification::send($celebs->user, new CelebsNotifyer($celebs, 'unpublish'));;

    }
}
