<?php

namespace Celebs\Celebs\Workflow;

use Celebs\Celebs\Models\Occupation;
use Celebs\Celebs\Notifications\Occupation as OccupationNotifyer;
use Notification;

class OccupationNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param Occupation $occupation
     *
     * @return void
     */
    public function complete(Occupation $occupation)
    {
        return Notification::send($occupation->user, new OccupationNotifyer($occupation, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param Occupation $occupation
     *
     * @return void
     */
    public function verify(Occupation $occupation)
    {
        return Notification::send($occupation->user, new OccupationNotifyer($occupation, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param Occupation $occupation
     *
     * @return void
     */
    public function approve(Occupation $occupation)
    {
        return Notification::send($occupation->user, new OccupationNotifyer($occupation, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param Occupation $occupation
     *
     * @return void
     */
    public function publish(Occupation $occupation)
    {
        return Notification::send($occupation->user, new OccupationNotifyer($occupation, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param Occupation $occupation
     *
     * @return void
     */
    public function archive(Occupation $occupation)
    {
        return Notification::send($occupation->user, new OccupationNotifyer($occupation, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param Occupation $occupation
     *
     * @return void
     */
    public function unpublish(Occupation $occupation)
    {
        return Notification::send($occupation->user, new OccupationNotifyer($occupation, 'unpublish'));;

    }
}
